package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

import com.ym.mec.biz.dal.entity.VipGroup;

/**
 * @Author Joburgess
 * @Date 2019/9/21
 */
public class VipGroupApplyBaseInfoDto extends VipGroup {

    @ApiModelProperty(value = "教师ID",required = false)
    private Long teacherId;

    @ApiModelProperty(value = "课酬",required = false)
    private BigDecimal salary;

    @ApiModelProperty(value = "预计招生人数",hidden = true)
    private Integer expectStudentNum;

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getExpectStudentNum() {
        return expectStudentNum;
    }

    public void setExpectStudentNum(Integer expectStudentNum) {
        this.expectStudentNum = expectStudentNum;
    }

    public BigDecimal getSalary() {
        return salary;
    }

    public void setSalary(BigDecimal salary) {
        this.salary = salary;
    }
}
